package com.xmomen.module.core.web.controller.dto;

import java.io.Serializable;
import java.util.List;


public class AccountSettingDto implements Serializable {

    // 用户名
    private String username;
//    private String
    // 导航项列表
    private List<NavItem> navItems;
    // 角色列表
    private List<Role> roles;

    // 获取用户名
    public String getUsername() {
        return username;
    }

    // 设置用户名
    public void setUsername(String username) {
        this.username = username;
    }

    // 获取导航项列表
    public List<NavItem> getNavItems() {
        return navItems;
    }

    // 设置导航项列表
    public void setNavItems(List<NavItem> navItems) {
        this.navItems = navItems;
    }

    // 获取角色列表
    public List<Role> getRoles() {
        return roles;
    }

    // 设置角色列表
    public void setRoles(List<Role> roles) {
        this.roles = roles;
    }

    // 导航项类
    public class NavItem {
        // 导航项的URL
        private String url;
        // 导航项的名称
        private String name;
        // 导航项的标题
        private String title;

        // 获取导航项的URL
        public String getUrl() {
            return url;
        }

        // 设置导航项的URL
        public void setUrl(String url) {
            this.url = url;
        }

        // 获取导航项的名称
        public String getName() {
            return name;
        }

        // 设置导航项的名称
        public void setName(String name) {
            this.name = name;
        }

        // 获取导航项的标题
        public String getTitle() {
            return title;
        }

        // 设置导航项的标题
        public void setTitle(String title) {
            this.title = title;
        }
    }

    // 角色类
    public class Role {
        // 角色名称
        private String role;
        // 角色描述
        private String description;
        // 角色是否可用
        private Boolean available;

        // 无参构造函数
        public Role() {
        }

        // 获取角色名称
        public String getRole() {
            return role;
        }

        // 设置角色名称
        public void setRole(String role) {
            this.role = role;
        }

        // 获取角色描述
        public String getDescription() {
            return description;
        }

        // 设置角色描述
        public void setDescription(String description) {
            this.description = description;
        }

        // 获取角色是否可用
        public Boolean isAvailable() {
            return available;
        }

        // 设置角色是否可用
        public void setAvailable(Boolean available) {
            this.available = available;
        }
    }
}
